This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 118083 - local variable used before set
local variable used before set
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtkhtml3 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-11 15:09 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-19 22:05:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-03-11 15:09:01 EST
Description of problem:

I just tried to compile Fedora Core2 Test1 package gtkhtml3-3.1.7-1

The compiler said

hyperlink.c(153): remark #592: variable "url" is used before its value
is set

The source code is

                        gchar *url;

                        g_signal_emit_by_name (gtkhtml,
"link_clicked", url);

Suggest init url before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Malcolm 2004-08-19 22:05:48 EDT
Thanks.  This was fixed at some time at or before version 3.1.17, and
is fixed in the current version in Rawhide (3.3.0)

Note You need to log in before you can comment on or make changes to this bug.